Syndai Docs

Edit text on a live site

POST
/api/v1/external/coding/repos/{coding_repository_id}/text-edits

Replace one literal piece of text on a live static site, without starting a coding run. Returns 202 when the edit was committed and 200 when it was already applied. While a run or landing holds the repository it is a 409 RUN_IN_FLIGHT naming the blocking run_id: wait, then retry. Requires coding:apps:publish.

Authorization

CustomerApiKey
headerAuthorizationBearer <API Key>

Customer API key sent as a bearer token

Path Parameters

coding_repository_id*string
Formatuuid

Query Parameters

customer_id?|null

Request Body

application/json
  1. body
after*string
Lengthlength <= 2000
all?boolean
Defaultfalse
before*string
Length1 <= length <= 2000
page*string
Length1 <= length <= 2048
request_id*string
Formatuuid

Response Body

Request accepted, processing continues off-line

application/json
  1. response
commit_sha*string
deployment_id?string|null
file*string
status*string
Example Request
curl -X POST 'https://api.syndai.ai/api/v1/external/coding/repos/497f6eca-6276-4993-bfeb-53cbbbba6f08/text-edits' \  -H 'Content-Type: application/json' \  -d '{  "after": "string",  "before": "string",  "page": "string",  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"}'
Example Response
{  "commit_sha": "string",  "deployment_id": "string",  "file": "string",  "status": "string"}